package domain

type AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   参加活动的买赠商品详情列表     */
	SkuList *[]AlibabaWdkMarketingItembuygiftQueryitemsData `json:"sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   调用api是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetMessage(v string) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetSkuList(v []AlibabaWdkMarketingItembuygiftQueryitemsData) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaWdkMarketingItembuygiftQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
